# Snapshot report for `tests/600.framework-detection.test.js`

The actual snapshot is saved in `600.framework-detection.test.js.snap`.

Generated by [AVA](https://avajs.dev).

## should default to process.cwd() and static server

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ No app server detected. Using simple static server␊
    ◈ Unable to determine public folder to serve files from. Using current working directory␊
    ◈ Setup a netlify.toml file with a [dev] section to specify your dev server settings.␊
    ◈ See docs at: https://cli.netlify.com/netlify-dev#project-detection␊
    ◈ Running static server from "site-with-index-file"␊
    ␊
    ◈ Static server listening to 88888␊
    ␊
       ┌──────────────────────────────────────────────────┐␊
       │                                                  │␊
       │   ◈ Server now ready on http://localhost:88888   │␊
       │                                                  │␊
       └──────────────────────────────────────────────────┘␊
    ␊
    `

## should use static server when --dir flag is passed

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Using simple static server because '--dir' flag was specified␊
    ◈ Running static server from "site-with-index-file/public"␊
    ␊
    ◈ Static server listening to 88888␊
    ␊
       ┌──────────────────────────────────────────────────┐␊
       │                                                  │␊
       │   ◈ Server now ready on http://localhost:88888   │␊
       │                                                  │␊
       └──────────────────────────────────────────────────┘␊
    ␊
    `

## should use static server when framework is set to #static

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Using simple static server because '[dev.framework]' was set to '#static'␊
    ◈ Unable to determine public folder to serve files from. Using current working directory␊
    ◈ Setup a netlify.toml file with a [dev] section to specify your dev server settings.␊
    ◈ See docs at: https://cli.netlify.com/netlify-dev#project-detection␊
    ◈ Running static server from "site-with-index-file"␊
    ␊
    ◈ Static server listening to 88888␊
    ␊
       ┌──────────────────────────────────────────────────┐␊
       │                                                  │␊
       │   ◈ Server now ready on http://localhost:88888   │␊
       │                                                  │␊
       └──────────────────────────────────────────────────┘␊
    ␊
    `

## should log the command if using static server and `command` is configured

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Using simple static server because '--dir' flag was specified␊
    ◈ Running static server from "site-with-index-file/public"␊
    ␊
    ◈ Static server listening to 88888␊
    ␊
       ┌──────────────────────────────────────────────────┐␊
       │                                                  │␊
       │   ◈ Server now ready on http://localhost:88888   │␊
       │                                                  │␊
       └──────────────────────────────────────────────────┘␊
    ␊
    `

## should warn if using static server and `targetPort` is configured

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Using simple static server because '--dir' flag was specified␊
    ◈ Ignoring 'targetPort' setting since using a simple static server.␊
    ◈ Use --staticServerPort or [dev.staticServerPort] to configure the static server port␊
    ◈ Running static server from "site-with-index-file/public"␊
    ␊
    ◈ Static server listening to 88888␊
    ␊
       ┌──────────────────────────────────────────────────┐␊
       │                                                  │␊
       │   ◈ Server now ready on http://localhost:88888   │␊
       │                                                  │␊
       └──────────────────────────────────────────────────┘␊
    ␊
    `

## should run `command` when both `command` and `targetPort` are configured

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Starting Netlify Dev with custom config␊
    hello␊
    ◈ "echo hello" exited with code *. Shutting down Netlify Dev server`

## should force a specific framework when configured

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Starting Netlify Dev with Create React App␊
    ◈ Failed running command: react-scripts start. Please verify 'react-scripts' exists`

## should throw when forcing a non supported framework

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Invalid framework "to-infinity-and-beyond-js". It should be one of: *`

## should detect a known framework

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Starting Netlify Dev with Create React App␊
    ␊
    > start␊
    > react-scripts start␊
    ␊
    ◈ Command failed with exit code *: npm run start. Shutting down Netlify Dev server`

## should throw if framework=#custom but command is missing

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ 'command' and 'targetPort' properties are required when 'framework' is set to '#custom'`

## should throw if framework=#custom but targetPort is missing

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ 'command' and 'targetPort' properties are required when 'framework' is set to '#custom'`

## should start custom command if framework=#custom, command and targetPort are configured

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Starting Netlify Dev with #custom␊
    hello␊
    ◈ "echo hello" exited with code *. Shutting down Netlify Dev server`

## should print specific error when command doesn't exist

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Unable to determine public folder to serve files from. Using current working directory␊
    ◈ Setup a netlify.toml file with a [dev] section to specify your dev server settings.␊
    ◈ See docs at: https://cli.netlify.com/netlify-dev#project-detection␊
    ◈ Starting Netlify Dev with #custom␊
    ◈ Failed running command: oops-i-did-it-again forgot-to-use-a-valid-command. Please verify 'oops-i-did-it-again' exists`

## should prompt when multiple frameworks are detected

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ? Multiple possible start commands found (Use arrow keys or type to search)␊
    > [Gatsby] 'npm run develop' ␊
      [Create React App] 'npm run start' [2A[37D[75C[2B[2K[1A[2K[1A[2K[G? Multiple possible start commands found ␊
      [Gatsby] 'npm run develop' ␊
    > [Create React App] 'npm run start' [2A[37D[41C[2B[2K[1A[2K[1A[2K[G? Multiple possible start commands found Create React App-npm run start[71D[71C␊
    Add 'framework = "create-react-app"' to the [dev] section of your netlify.toml to avoid this selection prompt next time␊
    ◈ Starting Netlify Dev with Create React App␊
    ␊
    > start␊
    > react-scripts start␊
    ␊
    ◈ Command failed with exit code *: npm run start. Shutting down Netlify Dev server`

## should not run framework detection if command and targetPort are configured

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Unable to determine public folder to serve files from. Using current working directory␊
    ◈ Setup a netlify.toml file with a [dev] section to specify your dev server settings.␊
    ◈ See docs at: https://cli.netlify.com/netlify-dev#project-detection␊
    ◈ Starting Netlify Dev with custom config␊
    hello␊
    ◈ "echo hello" exited with code *. Shutting down Netlify Dev server`

## should filter frameworks with no dev command

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ No app server detected. Using simple static server␊
    ◈ Unable to determine public folder to serve files from. Using current working directory␊
    ◈ Setup a netlify.toml file with a [dev] section to specify your dev server settings.␊
    ◈ See docs at: https://cli.netlify.com/netlify-dev#project-detection␊
    ◈ Running static server from "site-with-gulp"␊
    ␊
    ◈ Static server listening to 88888␊
    ␊
       ┌──────────────────────────────────────────────────┐␊
       │                                                  │␊
       │   ◈ Server now ready on http://localhost:88888   │␊
       │                                                  │␊
       └──────────────────────────────────────────────────┘␊
    ␊
    `

## should pass framework-info env to framework sub process

> Snapshot 1

    `◈ Netlify Dev ◈␊
    ◈ Starting Netlify Dev with Gatsby␊
    ␊
    > develop␊
    > node -p process.env.GATSBY_LOGGER␊
    ␊
    yurnalist␊
    ◈ "npm run develop" exited with code *. Shutting down Netlify Dev server`
